.module FixedWidth

PutC

	push hl
	
	cp '\r'
	jr z,NewLine
	cp '\n'
	jr z,NewLine
	
	res 7,a

	push af
	
	ld b,a
	and %00111111
	ld l,a
	ld a,b
	
	ld h,0
	add hl,hl
	push hl
	add hl,hl
	pop de
	add hl,de
	
	ld de,Parent.Resources.Images.SmallFont
	add hl,de
	rst rMOV9TOOP1
	
	ld a,(penRow)
	ld l,a
	
	pop af
	
	ld c,%11110000
	bit 6,a
	
	ld a,(penCol)
	jr z,{+}
	ld c,%00001111
	sub 4

+
	ld h,a
	push hl	
	
	ld hl,OP1
	ld b,6
-	ld a,(hl)
	and c
	ld (hl),a
	inc hl
	djnz {-}

	pop hl
	bit 7,h
	jr z,{+}
	
	ld a,h
	add a,4
	ld h,a
	push hl
	
	ld hl,OP1
	ld b,6
-	ld a,(hl)
	rlca
	rlca
	rlca
	rlca
	ld (hl),a
	inc hl
	djnz {-}
	
	pop hl
	
+
	
	ld a,h
	ld b,6
	ld ix,OP1
	call ionPutSprite
	
	ld a,(penCol)
	add a,4
	ld (penCol),a
	cp 96
	jr c,{+}

NewLine
	xor a
	ld (penCol),a
	ld a,(penRow)
	add a,6
	ld (penRow),a
	cp 60
	jr c,{+}

	ld hl,plotSScreen+12*6
	ld de,plotSScreen
	ld bc,(60-6)*12
	ldir
	
	ld hl,plotSScreen+(60-6)*12
	ld bc,6*12
	bcall(_MemClear)
	
	ld a,60-6
	ld (penRow),a
+
	
	pop hl
	ret

PutS
	ld a,(hl)
	inc hl
	or a
	ret z
	call PutC
	jr PutS
	
PutSReversed
	ld a,(hl)
	dec hl
	or a
	ret z
	call PutC
	jr PutSReversed

.endmodule