.module Disk

; ---------------------------------------------------------
; GetFreeSpace -> Get the amount of free space.
; ---------------------------------------------------------
; Inputs:   None.
; Outputs:  z = set up successfully; nz = failed.
; Destroys: af, hl.
; Events:   One data event (size, four bytes, LSB first).
;           One success event.
; ---------------------------------------------------------
GetFreeSpace
	ld a,Parent.Events.Disk.FreeSpace
	ld hl,Commands.FreeSpace
	jp Parent.SetUpEvent

.module Commands
	FreeSpace .db "FS", 0
.endmodule

.endmodule